All Data Structures Namespaces Files Functions Variables Pages
achievement.func.php File Reference

Go to the source code of this file.

## Functions

if(!defined('IN_GAME')) | valid_achievement ($s)
| init_achievement ($t)
| check_achievement ($which, $who)
| fetch_achievement ($which, $who)
| done_achievement ($which, $ch, $who)
| update_achievement ($which, $who, $value)
| normalize_achievement ($ach, &$crd1, &$crd2)
| check_mixitem_achievement ($nn, $item)
| check_end_achievement ($w, $m)
| check_battle_achievement ($n, $is_npc, $killname, $wp)
| check_item_achievement ($nn, $i, $ie, $is, $ik, $isk)

## Function Documentation

check_achievement | ( |  | $which,
|  |  | $who
| ) |  |

Definition at line 38 of file achievement.func.php.

check_battle_achievement | ( |  | $n,
|  |  | $is_npc,
|  |  | $killname,
|  |  | $wp
| ) |  |

Definition at line 257 of file achievement.func.php.

check_end_achievement | ( |  | $w,
|  |  | $m
| ) |  |

Definition at line 202 of file achievement.func.php.

check_item_achievement | ( |  | $nn,
|  |  | $i,
|  |  | $ie,
|  |  | $is,
|  |  | $ik,
|  |  | $isk
| ) |  |

Definition at line 479 of file achievement.func.php.

check_mixitem_achievement | ( |  | $nn,
|  |  | $item
| ) |  |

Definition at line 101 of file achievement.func.php.

done_achievement | ( |  | $which,
|  |  | $ch,
|  |  | $who
| ) |  |

Definition at line 64 of file achievement.func.php.

fetch_achievement | ( |  | $which,
|  |  | $who
| ) |  |

Definition at line 51 of file achievement.func.php.

init_achievement | ( |  | $t | ) |

Definition at line 21 of file achievement.func.php.

normalize_achievement | ( |  | $ach,
|  | & | $crd1,
|  | & | $crd2
| ) |  |

Definition at line 92 of file achievement.func.php.

update_achievement | ( |  | $which,
|  |  | $who,
|  |  | $value
| ) |  |

Definition at line 76 of file achievement.func.php.

if (!defined('IN_GAME')) valid_achievement | ( |  | $s | ) |

Definition at line 7 of file achievement.func.php.